//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//-----------------     SPIRIT 1 -----------------
//---------------     -------------------
//------       ---------
//--           --
//- :          -
//--          -
//----  :   yagov@promelec.ru  support@promelec.ru -----
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
//---------      SPIRIT 1  -------------
//--           STMxxxxx -
//------------------------------------------------------------------------------


#ifdef STM8L101_PLATFORM
#include "stm8l10x.h"

#define Spirit_Port   GPIOB
#define Spirit_SPI_Pins   GPIO_Pin_5 | GPIO_Pin_6 | GPIO_Pin_7
#define Spirit_SPICS_Pin    GPIO_Pin_4

#define Spirit_Reset_Port   GPIOB
#define Spirit_Reset_Pin   GPIO_Pin_3

//  , ,  
#define Spirit_Header_WRITE     0x0
#define Spirit_Header_READ      0x1
#define Spirit_Header_COMAND    0x80
#endif //STM8L101_PLATFORM


#ifdef STM32F1_PLATFORM
#include "stm32f10x.h"

#define Spirit_Port           GPIOB
#define Spirit_RCC_Port       RCC_APB2Periph_GPIOB
#define Spirit_SPI            SPI1
#define Spirit_RCC_SPI        RCC_APB2Periph_SPI1
#define Spirit_SPI_OUT_Pins   GPIO_Pin_3 | GPIO_Pin_5
#define Spirit_SPI_IN_Pins    GPIO_Pin_4
#define Spirit_SPICS_Pin      GPIO_Pin_6

#define Spirit_Reset_Port       GPIOE
#define Spirit_RCC_Reset_Port   RCC_APB2Periph_GPIOE
#define Spirit_Reset_Pin        GPIO_Pin_1

#define Spirit_IRQ_Port       GPIOE
#define GPIO_IRQ_PortSource   GPIO_PortSourceGPIOE
#define Spirit_RCC_IRQ_Port   RCC_APB2Periph_GPIOE
#define Spirit_IRQ_Pin        GPIO_Pin_0
#define Spirit_IRQ_PinSource  GPIO_PinSource0
#define Spirit_IRQ_EXTI_Line  EXTI_Line0
#define Spirit_IRQChannel     EXTI0_IRQn

//  , ,  
#define Spirit_Header_WRITE     0x0
#define Spirit_Header_READ      0x1
#define Spirit_Header_COMAND    0x80
#endif //STM32F1_PLATFORM

#define CLK_TO_CS_DELAY       2

extern u8 MC_STATE[2];

void Spirit_HW_Config( void );
#ifdef STM32F1_PLATFORM
void Spirit_STM32_IRQ_Config( void );
#endif //STM32F1_PLATFORM
void Spirit_Send_Command (uint8_t Command);
void Spirit_Write_Register (uint8_t cRegAddress, uint8_t cNbBytes, uint8_t* pcBuffer);
void Spirit_Read_Register(uint8_t cRegAddress, uint8_t cNbBytes, uint8_t* pcBuffer);

//------------------------------------------------------------------------------
//---------------     SPIRIT 1 -------------------
//---------------     -------------------
//---------------          http://www.promelec.ru/           -------------------
//--------------------------           2012         ----------------------------
//------------------------------------------------------------------------------